Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88105 - package installed yet not installed
Summary: package installed yet not installed
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL: http://www.rpm.org
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-05 19:04 UTC by Joe Strout
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-14 15:14:22 UTC


Attachments (Terms of Use)

Description Joe Strout 2003-04-05 19:04:11 UTC
Description of problem:
I'm having trouble getting a package to run, so I decided to try to delete everything related to it (except the RPM file) and start over.  But this seems to have thoroughly confused rpm.  "rpm -i" said "package is already installed", even though "rpm -V" listed a ton of files missing.  So I tried "rpm -F" -- that produced no output at all, but now "rpm -V" says "package is not installed" even though "rpm -i" still says "package is already installed!"

Then I tried rpm -i --replacefiles --replacepkgs, but this seems to have hung (but that may be a different bug).

Finally, I really don't want to have to muck around on the command-line at all.  The GUI wrapper for rpm should give me some options, rather than just saying "This package is already installed" and forcing me to fire up terminal to figure out what the heck is going on.

Version-Release number of selected component (if applicable):
rpm 4.1

How reproducible:
Always.

Steps to Reproduce:
1. install a package
2. delete its files
3. attempt to install, verify, or freshen (as described above)
    
Actual results:
rpm claims it is not installed in "verify" mode, but claims it's already installed in "install" mode.

Expected results:
rpm should make up its mind whether the damn thing is installed or not.  Ideally, "rpm -i" would always make the package work, installing whatever files needed to be installed.

Additional info:

Comment 1 Jeff Johnson 2003-04-14 15:14:22 UTC
rpm manages packages, not files, so yes the package is
installed (meaning entry in database) even if all the
files are removed (as detected by --verify).

Reinstall the package using --force if you wish to replace
the files.

BTW, from the command line, you should be using -Uvh, not -ivh,
for eveything but kernel packages.




Note You need to log in before you can comment on or make changes to this bug.